Inhalte
Index 🔎︎

# Funktion Eof

Prüft, ob der Dateizeiger das Dateiende erreicht hat.

## Syntax:

    Eof (IntAusdruck As Integer)

## Rückgabewert:

Bool

## Parameter:

IntAusdruck: Beliebiger Ausdruck vom Typ Integer, der die Nummer der geöffneten Datei bestimmt.

Verwenden Sie EOF, um Fehler zu vermeiden, wenn Sie versuchen, Daten hinter dem Dateiende abzufragen. Wenn Sie die Anweisungen Input oder Get verwenden, um Daten aus einer Datei zu lesen, wird der Dateizeiger um die Anzahl der gelesenen Bytes vorgerückt. Wird das Ende einer Datei erreicht, gibt EOF den Wert "True" (-1) zurück.

## Fehlercodes:

5 Ungültiger Prozeduraufruf

52 Dateiname oder -nummer falsch

## Beispiel:

    Sub ExampleWorkWithAFile
    Dim iNumber As Integer
    Dim sLine As String
    Dim aFile As String
    Dim sMsg As String
        aFile = "c:\data.txt"
        iNumber = Freefile
        Open aFile For Output As #iNumber
        Print #iNumber, "Das ist eine Zeile Text"
        Print #iNumber, "Das ist eine weitere Zeile Text"
        Close #iNumber
        iNumber = Freefile
        Open aFile For Input As iNumber
        While Not eof(iNumber)
            Line Input #iNumber, sLine
            If sLine <>"" Then
                sMsg = sMsg & sLine & chr(13)
            End If
        Wend
        Close #iNumber
        MsgBox sMsg
    End Sub